/****************************************************************************/
/*      Everything You Always Wanted to Know about Data Partitioning        */
/*                         but Were AfraId to Ask                           */
/*                            PASS Summit 2017                              */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                           Partitioned Tables                             */
/*                      Low Priority Locks (Session 4)                      */
/****************************************************************************/

use PartitionedDB
go

select l.request_session_id, l.resource_type, l.resource_subtype
	,l.request_mode, l.request_status, wt.blocking_session_id
from sys.dm_tran_locks l left join sys.dm_os_waiting_tasks wt on 
	l.request_session_id = wt.session_id
where l.request_session_id in (57,58,59)  -- <insert SPID from Session 1, 2, 3>
order by l.request_session_id
go

