/******************************************************************************/
/*        Everything You Always Wanted to Know about Data Partitioning        */
/*                           but Were AfraId to Ask                           */
/*                              PASS Summit 2017                              */
/*                                                                            */
/*                    Written by Dmitri V. Korotkevitch                       */
/*                        http://aboutsqlserver.com                           */
/*                          dk@aboutsqlserver.com                             */
/******************************************************************************/
/*                               Moving Data                                  */
/*http://aboutsqlserver.com/2016/03/08/how-to-move-data-and-log-files-online/ */
/******************************************************************************/

select @@VERSION
go

use master
go

if exists (
	select * 
	from sys.databases 
	where name = 'PartitioningExpress'
)
begin
	alter database PartitioningExpress set single_user with rollback immediate
	drop database PartitioningExpress 
end
go

CREATE DATABASE PartitioningExpress
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'PartitioningExpress', FILENAME = N'c:\sqlexpress\drive1\PartitioningExpress.mdf' , SIZE = 10MB , FILEGROWTH = 1024KB ), 
 FILEGROUP FG2017
( NAME = N'PartitioningExpress_FG2017', FILENAME = N'c:\sqlexpress\drive1\PartitioningExpress_FG2017.ndf' , SIZE = 3072KB , FILEGROWTH = 10240KB )
 LOG ON 
( NAME = N'PartitioningExpress_log', FILENAME = N'c:\sqlexpress\drive1\PartitioningExpress_log.ldf' , SIZE = 51200KB , FILEGROWTH = 51200KB )
GO
ALTER DATABASE PartitioningExpress SET RECOVERY SIMPLE  
GO



