/****************************************************************************/
/*      Everything You Always Wanted to Know about Data Partitioning        */
/*                         but Were AfraId to Ask                           */
/*                            PASS Summit 2017                              */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                           Partitioned Tables                             */
/*                      Low Priority Locks (Session 2)                      */
/****************************************************************************/

use PartitionedDB
go

alter index IDX_Orders2017_10_OrderDate_OrderId 
on dbo.Orders2017_10 rebuild
with (online = on)
-- Run session 3 and session 4 code
go

alter index IDX_Orders2017_10_OrderDate_OrderId 
on dbo.Orders2017_10 rebuild
with 
(
	online = on
	(
		wait_at_low_priority
		(
			max_duration=1 minutes, 
			abort_after_wait=blockers
		)
	)
)
-- Run session 3 and session 4 code